PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
LUT Functions
PDL API Reference » SmartIO (Smart I/O) » Functions

## General Description

## Functions
cy_en_smartio_luttr_t | Cy_SmartIO_GetLutTr (SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum, cy_en_smartio_trnum_t trNum)
cy_en_smartio_status_t | Cy_SmartIO_SetLutTr (SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum, cy_en_smartio_trnum_t trNum, cy_en_smartio_luttr_t trSrc)
cy_en_smartio_status_t | Cy_SmartIO_SetLutTrAll (SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum, cy_en_smartio_luttr_t trSrc)
__STATIC_INLINE cy_en_smartio_lutopc_t | Cy_SmartIO_GetLutOpcode (SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum)
| Gets the opcode of the specified LUT. More...
cy_en_smartio_status_t | Cy_SmartIO_SetLutOpcode (SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum, cy_en_smartio_lutopc_t opcode)
__STATIC_INLINE uint8_t | Cy_SmartIO_GetLutMap (SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum)
| Gets the 3:1 truth table of the specified LUT. More...
cy_en_smartio_status_t | Cy_SmartIO_SetLutMap (SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum, uint8_t lutMap)

## Function Documentation

## ◆ Cy_SmartIO_GetLutOpcode()

__STATIC_INLINE cy_en_smartio_lutopc_t Cy_SmartIO_GetLutOpcode | ( | SMARTIO_PRT_Type * | base,
|  | cy_en_smartio_lutnum_t | lutNum
| ) |  |

Gets the opcode of the specified LUT.

Parameters

  base | Pointer to the Smart I/O base address
  lutNum | LUT index number

Returns
  LUT opcode

Function Usage
  /* Refer to the Cy_SmartIO_SetLutOpcode function usage example */

## ◆ Cy_SmartIO_GetLutMap()

__STATIC_INLINE uint8_t Cy_SmartIO_GetLutMap | ( | SMARTIO_PRT_Type * | base,
|  | cy_en_smartio_lutnum_t | lutNum
| ) |  |

Gets the 3:1 truth table of the specified LUT.

tr2 | tr1 | tr0 | lutNum
--- | --- | --- | ---
0 | 0 | 0 | bit 0
0 | 0 | 1 | bit 1
0 | 1 | 0 | bit 2
0 | 1 | 1 | bit 3
1 | 0 | 0 | bit 4
1 | 0 | 1 | bit 5
1 | 1 | 0 | bit 6
1 | 1 | 1 | bit 7

Parameters

  base | Pointer to the Smart I/O base address
  lutNum | LUT index number

Returns
  Bitfield [7:0] mapping of the 3:1 LUT

Function Usage
  /* Refer to the Cy_SmartIO_SetLutMap function usage example */